import express from 'express'
import SourceControl from "../control/source-control.js";
import ParamsControl from "../control/params-control.js";
import ParamsDictControl from "../control/params-dict-control.js";
import TrackControl from "../control/track-control.js";
import ShipFilterControl from "../control/ship-filter-control.js";
const shipTestRouter = express.Router()
// 数据源
shipTestRouter.post('/source/list', SourceControl.list)
shipTestRouter.post('/source/page', SourceControl.page)
shipTestRouter.get('/source/info/:id', SourceControl.info)
shipTestRouter.post('/source/add', SourceControl.add)
shipTestRouter.put('/source/edit', SourceControl.edit)
shipTestRouter.delete('/source/del/:ids', SourceControl.del)
// 参数配置
shipTestRouter.post('/params/list', ParamsControl.list)
shipTestRouter.post('/params/page', ParamsControl.page)
shipTestRouter.get('/params/info/:id', ParamsControl.info)
shipTestRouter.post('/params/add', ParamsControl.add)
shipTestRouter.put('/params/edit', ParamsControl.edit)
shipTestRouter.delete('/params/del/:ids', ParamsControl.del)
// 参数配置-字典
shipTestRouter.post('/params/dict/list', ParamsDictControl.list)
shipTestRouter.post('/params/dict/page', ParamsDictControl.page)
shipTestRouter.get('/params/dict/info/:id', ParamsDictControl.info)
shipTestRouter.post('/params/dict/add', ParamsDictControl.add)
shipTestRouter.put('/params/dict/edit', ParamsDictControl.edit)
shipTestRouter.delete('/params/dict/del/:ids', ParamsDictControl.del)
shipTestRouter.get('/params/dict/enabled/:ids', ParamsDictControl.enabled)
shipTestRouter.get('/params/dict/disabled/:ids', ParamsDictControl.disabled)
// 轨迹配置
shipTestRouter.post('/track/list', TrackControl.list)
shipTestRouter.post('/track/page', TrackControl.page)
shipTestRouter.get('/track/info/:id', TrackControl.info)
shipTestRouter.post('/track/add', TrackControl.add)
shipTestRouter.put('/track/edit', TrackControl.edit)
shipTestRouter.get('/track/infoBySourceId/:sourceId', TrackControl.infoBySourceId)
// 船筛
shipTestRouter.get('/ship-filter/get-config', ShipFilterControl.getConfig)
export default shipTestRouter